# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..22\n"; }
END {print "not ok 1\n" unless $loaded;}
use Lingua::Enlist;
$loaded = 1;
print "ok 1\n";

my $n = 1;

sub ok { $n++; print $_[0] eq $_[1] ? "ok $n\n" : "not ok $n\n"; }

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

ok enlist("a")			=> "a";
ok enlist("a","b")		=> "a and b";
ok enlist("a","b","c")		=> "a, b, and c";
ok enlist("a","b","c","d")	=> "a, b, c, and d";

Lingua::Enlist->Espanol;

ok enlist("a")			=> "a";
ok enlist("a","b")		=> "a y b";
ok enlist("a","b","c")		=> "a, b, y c";
ok enlist("a","b","c","d")	=> "a, b, c, y d";

Lingua::Enlist->separator(':');

ok enlist("a")			=> "a";
ok enlist("a","b")		=> "a y b";
ok enlist("a","b","c")		=> "a: b: y c";
ok enlist("a","b","c","d")	=> "a: b: c: y d";

Lingua::Enlist->Espanol;

ok enlist("a")			=> "a";
ok enlist("a","b")		=> "a y b";
ok enlist("a","b","c")		=> "a, b, y c";
ok enlist("a","b","c","d")	=> "a, b, c, y d";

Lingua::Enlist->English;

ok enlist("a")			=> "a";
ok enlist("a","b")		=> "a and b";
ok enlist("a","b","c")		=> "a, b, and c";
ok enlist("a","b","c","d")	=> "a, b, c, and d";
ok enlist("a, is first","then b, second","c","d")
				=> "a, is first; then b, second; c; and d";

